Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.start
Class SharedActivatableServiceDescriptor.Created

    java.lang.Object
      com.sun.jini.start.SharedActivatableServiceDescriptor.Created

Enclosing class:
  SharedActivatableServiceDescriptor

public static class SharedActivatableServiceDescriptor.Created
extends Object

Object returned by `SharedActivatableServiceDescriptor.create()` method that returns the proxy, group identifier, and activation identifier for the created service.

Field Summary
`ActivationID` | `aid` The activation id of the service
`ActivationGroupID` | `gid` The activation group id of the service
`Object` | `proxy` The reference to the proxy of the created service

Constructor Summary
`SharedActivatableServiceDescriptor.Created(ActivationGroupID gid, ActivationID aid, Object proxy)` Constructs an instance of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gid

    public final ActivationGroupID gid

  The activation group id of the service

### aid

    public final ActivationID aid

  The activation id of the service

### proxy

    public final Object proxy

  The reference to the proxy of the created service

Constructor Detail

### SharedActivatableServiceDescriptor.Created

    public SharedActivatableServiceDescriptor.Created(ActivationGroupID gid,
                                                      ActivationID aid,
                                                      Object proxy)

  Constructs an instance of this class.

Parameters:
  `gid` - activation group id of the created service
  `aid` - activation id of the created service
  `proxy` - reference to the proxy of the created service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved